import * as actionTypes from './types';
import { IContent } from '@files-stack/client-core';
export declare type EditAction = ({
    type: actionTypes.OPEN_FILE;
    payload: any;
}) | ({
    type: actionTypes.ADD_EDIT;
    content: IContent;
}) | ({
    type: actionTypes.REMOVE_EDIT;
    content: IContent;
}) | ({
    type: actionTypes.SELECT_EDIT;
    content: IContent;
}) | ({
    type: actionTypes.CHANGE_EDIT;
    newValue: string;
}) | ({
    type: actionTypes.ACTIVATE_EDITOR;
    editorId: number;
}) | ({
    type: actionTypes.UPDATE_EDITORS_HEIGHT;
    editorsHeight: any[];
}) | ({
    type: actionTypes.OPEN_MARKDOWN;
    content: IContent;
    previewEditorId: number;
});
export declare const openFileAction: (payload: any) => EditAction;
export declare const addEditAction: (content: IContent) => EditAction;
export declare const removeEditAction: (content: IContent) => EditAction;
export declare const selectEditAction: (content: IContent) => EditAction;
export declare const changeEditAction: (newValue: string) => EditAction;
export declare const activateEditorAction: (editorId: number) => EditAction;
export declare const updateEditorsHeightAction: (editorsHeight: any[]) => EditAction;
export declare const openMarkdownAction: (content: IContent, previewEditorId: number) => EditAction;
